#ifndef WINDOWS_H
#define WINDOWS_H

//////////////////////////////////////////////////////////////////////
// TYPES ET DEFINITIONS
////////////////////////////////////////////////////////////////////// 

// coordonnes X de la fentre 0
#define REG_WIN0H      *(u16*) 0x4000040
// coordonnes X de la fentre 1
#define REG_WIN1H      *(u16*) 0x4000042
// coordonnes Y de la fentre 0
#define REG_WIN0V      *(u16*) 0x4000044
// coordonnes Y de la fentre 1
#define REG_WIN1V      *(u16*) 0x4000046

// affichage  l'intrieur des fentres
#define REG_WININ      *(u16*) 0x4000048
// affichage  l'extrieur des fentres
#define REG_WINOUT     *(u16*) 0x400004A

// macros de positionnement
#define RIGHT(n)    (n)
#define LEFT(n)     (n) << 8
#define BOTTOM(n)   (n)
#define TOP(n)      (n) << 8

// dfinition de l'intrieur des fentres
#define WIN0_BG0      1
#define WIN0_BG1      2
#define WIN0_BG2      4
#define WIN0_BG3      8
#define WIN0_SPRITES  16
#define WIN0_BLENDS   32
#define WIN1_BG0      256
#define WIN1_BG1      512
#define WIN1_BG2      1024
#define WIN1_BG3      2048
#define WIN1_SPRITES  4096
#define WIN1_BLENDS   8192

// dfinition de l'extrieur des fentres
#define WINOUT_BG0        1
#define WINOUT_BG1        2
#define WINOUT_BG2        4
#define WINOUT_BG3        8
#define WINOUT_SPRITES    16
#define WINOUT_BLENDS     32
#define WINOBJ_BG0        256
#define WINOBJ_BG1        512
#define WINOBJ_BG2        1024
#define WINOBJ_BG3        2048
#define WINOBJ_SPRITES    4096
#define WINOBJ_BLENDS     8192

#endif

// fin de windows.h
